function [] = runMonodromy()

tol = 1e-8;%10;%7;

% seed random number generator
rand('seed',sum(clock));
%rand('seed',1);

n = 32;
% find point
Q = 10*(2*rand(n,1) - 1 + 1i*(2*rand(n,1) - 1));

% setup middle
F = fopen('input_middle','w');
for j = 1:n
  fprintf(F,'q%d = %.15e + %.15e*I;\n',j,real(Q(j)),imag(Q(j)));
end;
fclose(F);

% run out
disp('out');
system('rm -rf input_out; cat input_top_out input_middle input_bottom_out > input_out');
system('mpirun bertini input_out start_good > /dev/null');
system('mv nonsingular_solutions start');
system('head -1 start');

% run in
disp('in');
system('rm -rf input_in; cat input_top_in input_middle input_bottom_in > input_in');
system('mpirun bertini input_in > /dev/null');
system('mv nonsingular_solutions start_found');
system('head -1 start_found');

% sharpen
disp('sharpen');
system('bertini input_newton start_found > /dev/null; mv newPoints start_found');

% eval
disp('eval');
system('bertini input_eval_Z start_found > /dev/null; mv function func_found');
system('bertini input_eval_Z start_good > /dev/null; mv function func_good');

% read in
disp('sort');
numOrigVars = 32;
numImageVars = 36;
[nOrig,Orig] = ReadInStart(numOrigVars,'start_good');
[nNew,New] = ReadInStart(numOrigVars,'start_found');
[~,OrigF] = ReadInStart(numImageVars,'func_good');
[~,NewF] = ReadInStart(numImageVars,'func_found');

OrigFnorm = zeros(nOrig,1);
for j = 1:nOrig
  OrigFnorm(j) = norm(OrigF(j,:));
end;

NewFnorm = zeros(nNew,1);
for j = 1:nNew
  NewFnorm(j) = norm(NewF(j,:));
end;

Pts = Orig;
G = ones(nNew,1);
for j = 1:nNew
  for k = j+1:nNew
    if abs(NewFnorm(k) - NewFnorm(j)) < tol && norm(NewF(k,:) - NewF(j,:)) < tol
      G(j) = 0;
      break;
    end;
  end;

  if G(j) == 1
    for k = 1:nOrig
      if abs(OrigFnorm(k) - NewFnorm(j)) < tol && norm(OrigF(k,:) - NewF(j,:)) < tol
        G(j) = 0;
        break;
      end;
    end;
  end;

  if G(j) == 1
    Pts = [New(j,:);Pts];
  end;
end;

disp(['found: ',num2str(sum(G)),' total: ',num2str(size(Pts,1))]);

if sum(G) > 0
  CreateStart(Pts,size(Pts,1),size(Pts,2),'start_good');
end;

return;

